10
\$\begingroup\$

I just got Python 3.5 from... LINK: https://www.python.org/downloads/windows/

previously i had Python 3.4 and the Pygame version 1.9.2a0. It worked perfectly. However, my the new Python 3.5 isn't compatible with that version of Pygame that i had gotten for the 3.4. I Found the latest Pygame file at... LINK: http://www.lfd.uci.edu/~gohlke/pythonlibs/#pygame

I downloaded the Pygame file, however, it is a .whl format file. What am i supposed to do?

I have tried looking it up all day yesterday. So far all i've figured out is something about pip and wheel and doing some commands like 'pip install' etc. etc. but i am completely lost. I never knew about pip or any of that before.

I am not even sure if there is a version of Pygame that works with Python 3.5, but i did try to find out by looking it up but i never found such information. All i want is to get Python 3.5 up and running with Pygame and for it to work just as fine as it used to when i had Python 3.4. If Pygame is yet to be compatible with Python 3.5 thats fine, i'll just reinstall python 3.4 and the according pygame file for it.

\$\endgroup\$
6
\$\begingroup\$

This site showed me how to do it: https://skellykiernan.wordpress.com/2015/01/04/python-pygame-install/

Note that the site uses Python 3.4.2 and pygame version 34cp, but I did it with Python 3.5 and pygame version 35cp and it worked perfectly.

\$\endgroup\$
  • \$\begingroup\$ You can find the whl files here lfd.uci.edu/~gohlke/pythonlibs/#pygame \$\endgroup\$ – Shawn Blakesley Oct 7 '15 at 17:07
  • \$\begingroup\$ figured out an even easier solution. I used pip. It installed the right version for the right python Im using (3.5) and took 7 seconds in total. Far different from the manual installation process of everything else. \$\endgroup\$ – RedactedProfile Nov 14 '16 at 1:18

Not the answer you're looking for? Browse other questions tagged or ask your own question.